package io.zipcoder.interfaces;

import java.lang.reflect.Array;

public final class Instructors extends People<Instructor>{

    private static Instructors INSTANCE = new Instructors();

    private Instructors() {
        personList.add(new Instructor(100, "Kris Younger"));
        personList.add(new Instructor(101, "Nhu Nguyen"));
        personList.add(new Instructor(102, "Leon Hunter"));
        personList.add(new Instructor(103, "Dolio Durant"));
        personList.add(new Instructor(104, "Wilhem Alcivar"));
        personList.add(new Instructor(105, "Froilan Miranda"));
    }

    public static Instructors getInstance() {
        if(INSTANCE == null) {
            INSTANCE = new Instructors();
        }
        return INSTANCE;
    }

    public Instructor[] getArray() {

        Instructor[] instructors = new Instructor[personList.size()];

        int index = 0;
        for (Instructor i : personList) {
            instructors[index] = i;
            index++;
        }

        return instructors;
    }
}
