package io.zipcoder.interfaces;

import java.lang.reflect.Array;
import java.util.ArrayList;

public abstract class People<E extends Person> {

    ArrayList<E> personList = new ArrayList<E>();

    public People() {
        this.personList = new ArrayList<E>();
    }

    public void add(E person) {
        this.personList.add(person);
    }

    public void remove(E person) {
        this.personList.remove(person);
    }

    public void remove(long id) {

        for(E p : personList) {
            if(p.getId() == id) {
                this.personList.remove(p);
            }
        }

    }

    public E findById(long id) {

        for(E p : personList) {
            if(p.getId() == id) {
                return p;
            }
        }
        return null;
    }

    public int getCount() {
        return this.personList.size();
    }

    public abstract E[] getArray();
}
