package io.zipcoder.interfaces;

public final class ZipCodeWilmington {

    private static final ZipCodeWilmington INSTANCE = new ZipCodeWilmington();
    private static final Students students = Students.getInstance();
    private static final Instructors instructors = Instructors.getInstance();

    private ZipCodeWilmington() {

    }

    public static ZipCodeWilmington getInstance() {
        return INSTANCE;
    }

    public static void hostLecture(Teacher teacher, double numberOfHours) {

        teacher.lecture(students.getArray(), numberOfHours);

    }

    public void hostLecture(long id, double numberOfHours) {

        for(Instructor i : instructors.getArray()) {
            if (i.getId() == id) {
                hostLecture(i, numberOfHours);
            }
        }
    }
}
