package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {

    @Test
    public void testConstructor() {
        //Given
        Person person = new Person(1, "Lou");
        long expected = 1;

        //When
        long actual = person.getId();

        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetAndGetName() {
        //Given
        Person person = new Person(1, "Lou");
        String expected = "Bob";

        //When
        person.setName("Bob");
        String actual = person.getName();

        //Then
        Assert.assertEquals(expected, actual);
    }

}
