package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestStudent {

    Student student = new Student(1, "Bob");

    @Test
    public void testImplementation() {
        //Given
        boolean expected = true;

        //When
        boolean actual = student instanceof Learner;

        //Then
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void testInheritance() {
        //Given
        boolean expected = true;

        //When
        boolean actual = student instanceof Person;

        //Then
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void testLearn() {
        //Given
        double before = student.getTotalStudyTime();
        double numberOfHours = 5.0;
        double expected = before + numberOfHours;

        //When
        student.learn(5.0);
        double actual = student.getTotalStudyTime();

        //Then
        Assert.assertEquals(expected, actual, 0.01);
    }
}
