package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestInstructors {

    Instructors instance1 = Instructors.getInstance();
    Instructors instance2 = Instructors.getInstance();

    @Test
    public void testSingletonInstance() {
        //When
        Instructors instance1 = Instructors.getInstance();
        Instructors instance2 = Instructors.getInstance();

        //Then
        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void testInitializationSetupStudents() {
        //When
        Person[] instructorssList = Instructors.getInstance().getArray();
        int expected = 6;
        int actual = instructorssList.length;

        //Then
        Assert.assertEquals(expected, actual);
    }
}