package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestStudents {

    @Test
    public void testSingletonInstance() {
        //When
        Students instance1 = Students.getInstance();
        Students instance2 = Students.getInstance();

        //Then
        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void testInitializationSetupStudents() {
        //When
        Person[] studentsList = Students.getInstance().getArray();
        int expected = 39;
        int actual = studentsList.length;

        //Then
        Assert.assertEquals(expected, actual);
    }
}
