package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestZipCodeWilmington {

    ZipCodeWilmington zipCode = ZipCodeWilmington.getInstance();
    Students students = Students.getInstance();
    Educator educator = Educator.NHU;

    @Test
    public void testHostLecture() {
        //Given
        double before = students.getArray()[0].getTotalStudyTime();
        double expected = before + 1.0;

        //When
        zipCode.hostLecture(103, 39);
        double actual = students.getArray()[0].getTotalStudyTime();

        //Then
        Assert.assertEquals(expected, actual, 0.1);
    }

    @Test
    public void testHostLectureEducator() {
        //Given
        double before = students.getArray()[0].getTotalStudyTime();
        double expected = before + 1.0;

        //When
        zipCode.hostLecture(educator, 39);
        double actual = students.getArray()[0].getTotalStudyTime();

        //Then
        Assert.assertEquals(expected, actual, 0.1);
    }

}
